<div class="container new-boarding">

  <button mat-raised-button color="primary" [routerLink]="['/view-onboarding']" *ngIf="isViewOnBoarding">
    <mat-icon>arrow_back_ios</mat-icon>View OnBoarding List
  </button>

  <mat-vertical-stepper [linear]="isLinear" (selectionChange)="selectionChange($event)" #stepper>

    <!--On Boarding Form-->
    <mat-step [stepControl]="onBoardingForm" label="On Boarding Step - T0">

      <ng-template matStepLabel>
        <span>On Boarding Step - T0</span>
        <mat-progress-bar color="primary" [class.done]="onBoardingFormProgress==100" mode="determinate"
          [value]="onBoardingFormProgress"></mat-progress-bar>
      </ng-template>

      <form [formGroup]="onBoardingForm">

        <div class="row">
          <div class="col-md-3">
            <mat-form-field>
              <mat-select [compareWith]="compareCIO" placeholder="Select CIO" formControlName="cioId"
                [(ngModel)]="cioId">
                <mat-option>--</mat-option>
                <mat-option *ngFor="let cioItem of cioList" [value]="cioItem.id">{{cioItem.name}}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="col-md-3">
          </div>
          <div class="col-md-3">
          </div>
          <div class="col-md-3">
            <mat-form-field>
              <mat-select [compareWith]="compareCriticality" placeholder="Select Criticality"
                formControlName="criticality" [(ngModel)]="criticality">
                <mat-option>--</mat-option>
                <mat-option *ngFor="let criticalItem of criticalityLevels" [value]="criticalItem.key">
                  {{criticalItem.value}}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="row">
          <div class="col-md-4">
            <mat-form-field>
              <input matInput formControlName="plannedStartDate" [matDatepicker]="plannedStartDate"
                placeholder="Planned Start Date">
              <mat-datepicker-toggle matSuffix [for]="plannedStartDate"></mat-datepicker-toggle>
              <mat-datepicker #plannedStartDate></mat-datepicker>
            </mat-form-field>
          </div>
          <div class="col-md-4">
              <mat-form-field>
                <input matInput formControlName="actualStartDate" [matDatepicker]="actualStartDate"
                  placeholder="Actual Start Date">
                <mat-datepicker-toggle matSuffix [for]="actualStartDate"></mat-datepicker-toggle>
                <mat-datepicker #actualStartDate></mat-datepicker>
              </mat-form-field>
            </div>
          <div class="col-md-4">
            <mat-form-field>
              <input matInput formControlName="completionDate" [matDatepicker]="completionDate"
                placeholder="Completion Date">
              <mat-datepicker-toggle matSuffix [for]="completionDate"></mat-datepicker-toggle>
              <mat-datepicker #completionDate></mat-datepicker>
            </mat-form-field>
          </div>
        </div>

        <div class="row">
          <div class="col-md-4 col-sm-12">
            <mat-form-field>
              <input matInput placeholder="Application Name*" formControlName="applicationName">
            </mat-form-field>
          </div>
          <div class="col-md-4 col-sm-12">
            <mat-form-field>
              <input matInput placeholder="GE IT Leader*" formControlName="geItLeader">
            </mat-form-field>
          </div>
          <div class="col-md-4 col-sm-12">
              <mat-form-field>
                <input matInput placeholder="GE Project Owner*" formControlName="geProjectOwner">
              </mat-form-field>
            </div>
        </div>

        <!-- <div class="row">
          <div class="col-md-6">
            <mat-form-field>
              <input matInput placeholder="GE Project Owner*" formControlName="geProjectOwner">
            </mat-form-field>
          </div>
          <div class="col-md-6">
            <mat-form-field>
              <input matInput placeholder="GE Functional Leader*" formControlName="geFunctionalLeader">
            </mat-form-field>
          </div>
        </div> -->

        <div class="row">
          <div class="col-md-4 col-sm-12">
            <mat-form-field>
              <input matInput placeholder="Pitcher*" formControlName="pitcher">
            </mat-form-field>
          </div>
          <div class="col-md-4 col-sm-12">
              <mat-form-field>
                <input matInput placeholder="Catcher*" formControlName="catcher">
              </mat-form-field>
            </div>
            <div class="col-md-4 col-sm-12">
                <mat-form-field>
                  <input matInput placeholder="TCS KT Owner*" formControlName="ktOwner">
                </mat-form-field>
              </div>
          <!-- <div class="col-md-6">
            <mat-form-field>
              <input matInput placeholder="TCS Project Manager*" formControlName="tcsProjectManager">
            </mat-form-field>
          </div> -->
        </div>

        <!-- <div class="row">
          <div class="col-md-6">
            <mat-form-field>
              <input matInput placeholder="Sub Business*" formControlName="subBusiness">
            </mat-form-field>
          </div>
          <div class="col-md-6">
          </div>
        </div> -->

        <!-- <div class="row">
          <div class="col-md-6">
            <mat-form-field>
              <input matInput placeholder="TCS Sub Business Lead*" formControlName="subBusinessLead">
            </mat-form-field>
          </div>
        </div> -->

        <div class="sub-input">
          <div class="row">
            <div class="col-md-3">
              Export Control*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="exportControl">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="col-md-3">
              P&A Monitoring required*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="monitoring">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              Functional Support*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="functionalSupport">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="col-md-3">
              Functional Monitoring*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="functionalMonitor">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              On-Site Support Required*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="onsiteSupport">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>

            <div class="col-md-3">
              Admin*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="admin">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              Application Support / Minor Enhancement / Major Enhancement*
            </div>
            <div class="col-md-3 docradio">
              <mat-radio-group aria-label="Select an option" formControlName="enhancement">
                <mat-radio-button [value]=true>Yes</mat-radio-button>
                <mat-radio-button [value]=false>No</mat-radio-button>
              </mat-radio-group>
            </div>
          </div>
        </div>

      </form>

      <div class="button-alighnment">
        <button color="primary" mat-button mat-raised-button (click)="onSubmitOnboardingForm()">Next</button>
      </div>

    </mat-step>

    <!--Dynamic Rendered Form-->
    <mat-step label="fd.tollgate.tollgateLevel" *ngFor="let fd of formData">

      <ng-template matStepLabel>
        <span>{{fd.tollgate.tollgateLevel}}</span>
        <mat-progress-bar color="primary" [class.done]="fd.progress==100" mode="determinate" [value]="fd.progress">
        </mat-progress-bar>

      </ng-template>
      <form id="form-{{fd.tollgate.id}}" [formGroup]="fd.form">
        <div class="sub-input">
          <div *ngFor="let criteriaType of fd.tollgate.criteriaQuestionDetails">
            <div class="dochead1">{{criteriaType.criteriaDesc}} (KT- {{criteriaType.ktThermometerPercentage}} %) </div>
            <div class="col-md-12" *ngFor="let questionType of criteriaType.questionDetails">
              <div class="row">
                <div class="col-md-4">
                  {{questionType.question}}
                </div>
                <div class="col-md-3 docradio">
                  <mat-radio-group aria-label="Select an option" (change)="onChangeRadio(criteriaType.id , fd)"
                    formControlName="form-radio-control-cqd-{{criteriaType.id}}-qd-{{questionType.id}}">
                    <mat-radio-button [checked]="questionType.value==true" value="true">Yes</mat-radio-button>
                    <mat-radio-button [checked]="questionType.value==false" value="false">No</mat-radio-button>
                  </mat-radio-group>
                </div>
                <div class="col-md-5">
                  <mat-form-field>
                    <input matInput placeholder="Comments"
                      formControlName="form-input-control-cqd-{{criteriaType.id}}-qd-{{questionType.id}}">
                  </mat-form-field>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-2">
            <mat-form-field>
              <mat-select [compareWith]="compareRisk" placeholder="Select Risk"
                formControlName="riskLevel-{{fd.tollgate.id}}" [(ngModel)]="fd.tollgate.risk">
                <mat-option>--</mat-option>
                <mat-option *ngFor="let riskItem of riskLevels" [value]="riskItem">{{riskItem}}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="col-md-5">
            <mat-form-field>
              <input matInput placeholder="Risk" formControlName="riskDesc-{{fd.tollgate.id}}">
            </mat-form-field>
          </div>
          <div class="col-md-5">
            <mat-form-field>
              <input matInput placeholder="Mitigation" formControlName="mitigation-{{fd.tollgate.id}}">
            </mat-form-field>
          </div>
        </div>

      </form>

      <div class="button-alighnment">
        <button color="primary" mat-button mat-raised-button matStepperPrevious>Back</button>
        <button color="primary" mat-button mat-raised-button
          (click)="openTollgateStatusDialog(fd.form, fd.tollgate)">Next</button>
      </div>
    </mat-step>

  </mat-vertical-stepper>

</div>